> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mona.ng/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Payment Status

> Poll a checkout status using transaction ID.



## OpenAPI

````yaml GET /checkout/status
openapi: 3.0.1
info:
  title: Mona API
  description: >-
    Create checkout sessions for the gateway, complete full payments via API or
    lookup customers.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.development.mona.ng
    description: Development environment
  - url: https://api.sandbox.mona.ng
    description: Sandbox environment
  - url: https://api.mona.ng
    description: Production environment
security:
  - apiKey: []
paths:
  /checkout/status:
    get:
      description: Poll a checkout status using transaction ID.
      parameters:
        - name: transactionId
          in: query
          description: The current transaction ID
          schema:
            type: string
            format: hex
      responses:
        '200':
          description: Transaction status response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TransactionStatus'
        '400':
          description: Unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    TransactionStatus:
      allOf:
        - required:
            - success
            - message
          type: object
          properties:
            success:
              description: the response status
              type: boolean
            message:
              description: the response message
              type: string
    Error:
      required:
        - error
        - message
      type: object
      properties:
        error:
          type: integer
          format: int32
        message:
          type: string
  securitySchemes:
    apiKey:
      type: apiKey
      in: header
      name: x-api-key

````